This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 909499 - RFE: Enable 802.11w support
RFE: Enable 802.11w support
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: wpa_supplicant (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Davide Caratti
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-08 18:49 EST by Account closed by user
Modified: 2017-03-13 11:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-13 11:23:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Account closed by user 2013-02-08 18:49:56 EST
# IEEE 802.11w (management frame protection), also known as PMF
# Driver support is also needed for IEEE 802.11w.
CONFIG_IEEE80211W=y

Please, add it to build-config.


Debian also enables:

CONFIG_DEBUG_SYSLOG_FACILITY=LOG_DAEMON
CONFIG_DEBUG_SYSLOG=y
CONFIG_DELAYED_MIC_ERROR_REPORT=y
CONFIG_DRIVER_NONE=y
CONFIG_EAP_AKA_PRIME=y
CONFIG_EAP_PSK=y
CONFIG_EAP_PWD=y
CONFIG_EAP_SIM=y
CONFIG_ELOOP=eloop
CONFIG_IEEE80211N=y
CONFIG_IEEE80211R=y
CONFIG_INTERWORKING=y
CONFIG_L2_PACKET=linux
CONFIG_MAIN=main
CONFIG_OS=unix
CONFIG_PCSC=y
CONFIG_READLINE=y
CONFIG_TLS=openssl
CONFIG_TLSV11=y
CONFIG_WPS2=y
CONFIG_WPS_ER=y
CONFIG_WPS_REG_DISABLE_OPEN=y
Comment 1 Michael Cronenworth 2017-03-11 00:53:27 EST
Reopening. Support has not been enabled. Any reason why this isn't enabled? I tested it locally and it works fine.
Comment 2 Dan Williams 2017-03-12 13:42:29 EDT
Sounds like an OK thing to do.  Over to thaller for re-assignment.
Comment 3 Davide Caratti 2017-03-13 11:23:37 EDT
applied in Rawhide (https://src.fedoraproject.org/cgit/rpms/wpa_supplicant.git/commit/?id=18d8fa3c44ceeb255c1e9e8e713b3d6f9e7ebb4f)

regards,
--
davide

Note You need to log in before you can comment on or make changes to this bug.